local AddOnName, AddOn = ...
local L = LibStub("AceLocale-3.0"):NewLocale(AddOnName, "enUS", true)

L.ADDON_NAME = "Speechless"

-- Api Module
L.API_DEBUG_WELCOME = "Hello |c%s%s|cffffffff, prepared to not be disturbed!"

-- Configuration Module
L.CONFIG_OPTIONS_NAME = "Speechless"

L.CONFIG_OPTIONS_PROFILES_NAME = "Profiles"
L.CONFIG_OPTIONS_PROFILES_TITLE = "Profiles"
L.CONFIG_OPTIONS_PROFILES_SUBTEXT = "These options affect the currently active settings profile."
L.CONFIG_OPTIONS_PROFILES_RESET_TEXT = "Reset the settings of the currently active profile to its default values"
L.CONFIG_OPTIONS_PROFILES_RESET_TITLE = "Reset Profile"
L.CONFIG_OPTIONS_PROFILES_RESET_TOOLTIP = "All settings in the currently active profile will be reset to their default values."
L.CONFIG_OPTIONS_PROFILES_RESET_PROFILE = "|cffffbb00Current Profile:|cffffffff %s"
L.CONFIG_OPTIONS_PROFILES_COPY_TEXT = "Copy the settings from one existing profile into the currently active profile."
L.CONFIG_OPTIONS_PROFILES_COPY_TITLE = "Existing Profiles"
L.CONFIG_OPTIONS_PROFILES_COPY_TOOLTIP = "The selected existing profile settings will be copied into the currently active profile."

L.CONFIG_OPTIONS_PROFILES_RESET_CONFIRM = "Are you sure you wish to reset the currently active profile to its default values?"
L.CONFIG_OPTIONS_PROFILES_RESET_CONFIRM_YES = "Yes"
L.CONFIG_OPTIONS_PROFILES_RESET_CONFIRM_NO = "No"
L.CONFIG_OPTIONS_PROFILES_COPY_CONFIRM = "Are you sure you wish to override the currently active profile with the selected existing profile?"
L.CONFIG_OPTIONS_PROFILES_COPY_CONFIRM_YES = "Yes"
L.CONFIG_OPTIONS_PROFILES_COPY_CONFIRM_NO = "No"

L.CONFIG_OPTIONS_RELOAD_REQUIRED = "To apply the selected changes, reloading the UI is required. Reload UI now?"
L.CONFIG_OPTIONS_RELOAD_REQUIRED_YES = "Yes"
L.CONFIG_OPTIONS_RELOAD_REQUIRED_NO = "No"

L.CONFIG_OPTIONS_DISABLE_DIALOG_TEXT = "Disable Talking Head UI"
L.CONFIG_OPTIONS_DISABLE_DIALOG_TOOLTIP = "Disables the Talking Head UI element from displaying."
L.CONFIG_OPTIONS_DISABLE_DIALOG_UNLESS_NEW_TEXT = "Unless New"
L.CONFIG_OPTIONS_DISABLE_DIALOG_UNLESS_NEW_TOOLTIP = "Show the Talking Head UI if it has not been experienced before."
L.CONFIG_OPTIONS_DISABLE_AUDIO_TEXT = "Disable Talking Head audio"
L.CONFIG_OPTIONS_DISABLE_AUDIO_TOOLTIP = "Disables the Talking Head audio from playing."
L.CONFIG_OPTIONS_DISABLE_AUDIO_UNLESS_NEW_TEXT = "Unless New"
L.CONFIG_OPTIONS_DISABLE_AUDIO_UNLESS_NEW_TOOLTIP = "Play the Talking Head audio if it has not been experienced before."

L.CONFIG_OPTIONS_INSTANCES_ONLY_TEXT = "Instances Only"
L.CONFIG_OPTIONS_INSTANCES_ONLY_TOOLTIP = "Only disable the Talking Head while in dungeon and raid instances."
